package enum

type AgentSettlementPayState int32

const (
	AgentSettlementPayStateForNotStarted            = 0
	AgentSettlementPayStateForPendingInvoiceReview  = 1
	AgentSettlementPayStateForInvoiceReviewProgress = 2
	AgentSettlementPayStateForInvoiceReviewRejected = 3
	AgentSettlementPayStateForPaymentIng            = 4
	AgentSettlementPayStateForPaymentAlready        = 5
)

func (gt AgentSettlementPayState) String() string {
	switch gt {
	case AgentSettlementPayStateForNotStarted:
		return "未开始"
	case AgentSettlementPayStateForPendingInvoiceReview:
		return "待审核发票"
	case AgentSettlementPayStateForInvoiceReviewProgress:
		return "发票审核中"
	case AgentSettlementPayStateForInvoiceReviewRejected:
		return "发票审核拒绝"
	case AgentSettlementPayStateForPaymentIng:
		return "付款中"
	case AgentSettlementPayStateForPaymentAlready:
		return "已付款"
	default:
		return "未知"
	}
}

type AgentSettlementState int32

const (
	AgentSettlementStateForNotStarted           = 0
	AgentSettlementStateForAccountingInProgress = 1
	AgentSettlementStateForToBeSign             = 2
	AgentSettlementStateForCompleteSign         = 3
)

func (gt AgentSettlementState) String() string {
	switch gt {
	case AgentSettlementStateForNotStarted:
		return "未开始"
	case AgentSettlementStateForAccountingInProgress:
		return "核算中"
	case AgentSettlementStateForToBeSign:
		return "待签订"
	case AgentSettlementStateForCompleteSign:
		return "已完成签订"
	default:
		return "未知"
	}
}
