package enum

type AmsCategory string

const (
	AmsCategoryForChess                       = "CHESS"
	AmsCategoryForAdultSupplies               = "ADULT_SUPPLIES"
	AmsCategoryForMEDICALHEALTH               = "MEDICAL_HEALTH"
	AmsCategoryForINSURANCE                   = "INSURANCE"
	AmsCategoryForSECURITES                   = "SECURITES"
	AmsCategoryForLOAN                        = "LOAN"
	AmsCategoryForLIVINGSERVICESBEAUTY        = "LIVING_SERVICES_BEAUTY"
	AmsCategoryForLIVINGSERVICESENTERTAINMENT = "LIVING_SERVICES_ENTERTAINMENT"
	AmsCategoryForLIVINGSERVICESOTHERS        = "LIVING_SERVICES_OTHERS"
	AmsCategoryForFOODINDUSTRY                = "FOOD_INDUSTRY"
	AmsCategoryForRETAILANDGENERALMERCHANDISE = "RETAIL_AND_GENERAL_MERCHANDISE"
	AmsCategoryForFOODANDDRINK                = "FOOD_AND_DRINK"
	AmsCategoryForTECHNICALSERVICE            = "TECHNICAL_SERVICE"
)

func (gt AmsCategory) String() string {
	switch gt {
	case AmsCategoryForChess:
		return "棋牌游戏"
	case AmsCategoryForAdultSupplies:
		return "成人用品"
	case AmsCategoryForMEDICALHEALTH:
		return "医疗健康"
	case AmsCategoryForINSURANCE:
		return "保险"
	case AmsCategoryForSECURITES:
		return "证券"
	case AmsCategoryForLOAN:
		return "贷款"
	case AmsCategoryForLIVINGSERVICESBEAUTY:
		return "生活服务（丽人）"
	case AmsCategoryForLIVINGSERVICESENTERTAINMENT:
		return "生活服务（休闲娱乐）"
	case AmsCategoryForLIVINGSERVICESOTHERS:
		return "生活服务（其他）"
	case AmsCategoryForFOODINDUSTRY:
		return "餐饮"
	case AmsCategoryForRETAILANDGENERALMERCHANDISE:
		return "零售和百货"
	case AmsCategoryForFOODANDDRINK:
		return "食品饮料"
	case AmsCategoryForTECHNICALSERVICE:
		return "通讯与IT服务"
	default:
		return "未知"
	}
}
