package enum

type MediumSettlementPayState int32

const (
	MediumSettlementPayStateForNotStarted            = 0
	MediumSettlementPayStateForPendingInvoiceReview  = 1
	MediumSettlementPayStateForInvoiceReviewProgress = 2
	MediumSettlementPayStateForInvoiceReviewRejected = 3
	MediumSettlementPayStateForPaymentIng            = 4
	MediumSettlementPayStateForPaymentAlready        = 5
)

func (gt MediumSettlementPayState) String() string {
	switch gt {
	case MediumSettlementPayStateForNotStarted:
		return "未开始"
	case MediumSettlementPayStateForPendingInvoiceReview:
		return "待审核发票"
	case MediumSettlementPayStateForInvoiceReviewProgress:
		return "发票审核中"
	case MediumSettlementPayStateForInvoiceReviewRejected:
		return "发票审核拒绝"
	case MediumSettlementPayStateForPaymentIng:
		return "付款中"
	case MediumSettlementPayStateForPaymentAlready:
		return "已付款"
	default:
		return "未知"
	}
}

type MediumSettlementState int32

const (
	MediumSettlementStateForNotStarted           = 0
	MediumSettlementStateForAccountingInProgress = 1
	MediumSettlementStateForToBeSign             = 2
	MediumSettlementStateForCompleteSign         = 3
)

func (gt MediumSettlementState) String() string {
	switch gt {
	case MediumSettlementStateForNotStarted:
		return "未开始"
	case MediumSettlementStateForAccountingInProgress:
		return "核算中"
	case MediumSettlementStateForToBeSign:
		return "待签订"
	case MediumSettlementStateForCompleteSign:
		return "已完成签订"
	default:
		return "未知"
	}
}
