package enum

type SysCfg string

const (
	AppName = "app_name"

	FileBucketHost        = "file_bucket_host"
	FileBucketRegion      = "file_bucket_region"
	FileBucketScheme      = "file_bucket_scheme"
	FileExt               = "file_ext"
	FileSecretKey         = "file_secret_key"
	FileUserUploadMaxSize = "file_user_upload_max_size"
	FileAccessKey         = "file_access_key"
	FileBucket            = "file_bucket"

	WxOpenAppletServerDomain                             = "wx_open_applet_server_domain"
	WxOpenAuthorizationEventReceivingConfiguration       = "wx_open_authorization_event_receiving_configuration"
	WxOpenDomainOfTheInitiatingPageForLoginAuthorization = "wx_open_domain_of_the_initiating_page_for_login_authorization"
	WxOpenMessageAndEventReceptionConfiguration          = "wx_open_message_and_event_reception_configuration"
	WxOpenWhiteListIp                                    = "wx_open_white_list_ip"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppName:
		return "项目名称"
	case FileBucketHost:
		return "对象存储域名"
	case FileBucketRegion:
		return "对象存储域名"
	case FileBucketScheme:
		return "文件上传模式"
	case FileExt:
		return "文件上传后缀,后台用户不限制后缀"
	case FileSecretKey:
		return "对象存储SecretToken"
	case FileUserUploadMaxSize:
		return "用户单文件最大上传大小,byte"
	case FileAccessKey:
		return "对象存储AccessToken"
	case FileBucket:
		return "对象存储bucket"
	case WxOpenAppletServerDomain:
		return "微信开放平台-小程序服务器域名"
	case WxOpenAuthorizationEventReceivingConfiguration:
		return "微信开放平台-授权事件接收配置"
	case WxOpenDomainOfTheInitiatingPageForLoginAuthorization:
		return "微信开放平台-登录授权的发起页域名"
	case WxOpenMessageAndEventReceptionConfiguration:
		return "微信开放平台-消息与事件接收配置"
	case WxOpenWhiteListIp:
		return "微信开放平台-白名单ip"
	default:
		return "未知"
	}
}
