package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// AppletApplicationMediumList
// @Summary    	 媒体列表
// @Tags         媒体中心------嘉俊
// @Description  媒体中心-媒体列表
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationMediumListReq   true   "请求参数"
// @Success      200   {object}		md.AppletApplicationMediumListRes     "具体看返回内容---这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/medium/list [POST]
func AppletApplicationMediumList(c *gin.Context) {
	svc.AppletApplicationMediumList(c)
}

// AppletApplicationList
// @Summary    	 应用列表
// @Tags         媒体中心------嘉俊
// @Description  小程序应用-列表数据
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationListReq   true   "请求参数"
// @Success      200   {object}		md.AppletApplicationListRes     "具体看返回内容---这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/list [POST]
func AppletApplicationList(c *gin.Context) {
	svc.AppletApplicationList(c)
}

// AppletApplicationAudit
// @Summary    	 审核
// @Tags         媒体中心------嘉俊
// @Description  小程序应用-审核
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationSaveReq   true   "请求参数"
// @Success      200   {string}		    "具体看返回内容"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/audit [POST]
func AppletApplicationAudit(c *gin.Context) {
	svc.AppletApplicationAudit(c)
}
