package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// AppletApplicationAdSpaceMediumList
// @Summary    	 广告位管理-媒体列表
// @Tags         媒体中心------嘉俊
// @Description  广告位管理-媒体列表
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationAdSpaceMediumListReq   true   "请求参数"
// @Success      200   {object}		md.AppletApplicationAdSpaceMediumListRes     "具体看返回内容---这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/ad/space/medium/list [POST]
func AppletApplicationAdSpaceMediumList(c *gin.Context) {
	svc.AppletApplicationAdSpaceMediumList(c)
}

// AppletApplicationAdSpaceList
// @Summary    	 广告位列表
// @Tags         媒体中心------嘉俊
// @Description  小程序应用-广告位列表
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationAdSpaceListReq   true   "请求参数"
// @Success      200   {object}		md.AppletApplicationAdSpaceListRes     "具体看返回内容---这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/ad/space/list [POST]
func AppletApplicationAdSpaceList(c *gin.Context) {
	svc.AppletApplicationAdSpaceList(c)
}

// AppletApplicationAdSpaceAudit
// @Summary    	 广告位审核
// @Tags         媒体中心------嘉俊
// @Description  小程序应用-广告位审核
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.AppletApplicationAdSpaceSaveReq   true   "请求参数"
// @Success      200   {string}		    "具体看返回内容"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/mediumCenter/applet/application/ad/space/audit [POST]
func AppletApplicationAdSpaceAudit(c *gin.Context) {
	svc.AppletApplicationAdSpaceAudit(c)
}
