package md

type AppletApplicationMediumListReq struct {
	Limit   string `json:"limit"`
	Page    string `json:"page" `
	Name    string `json:"name" example:"媒体名称"`
	Account string `json:"account" example:"媒体账号"`
}
type AppletApplicationMediumListRes struct {
	List  []AppletApplicationMediumListData `json:"list"`
	Total int64                             `json:"total"`
}
type AppletApplicationMediumListData struct {
	Id          string `json:"id" example:"id"`
	MediumId    string `json:"medium_id" example:"媒体id"`
	Name        string `json:"name" example:"名称"`
	Account     string `json:"account" example:"账号"`
	ContactName string `json:"contact_name" example:"联系人"`
	Phone       string `json:"phone" example:"联系电话"`
	Count       string `json:"count" example:"应用数量"`
}
type AppletApplicationListReq struct {
	Limit          string `json:"limit"`
	Page           string `json:"page" `
	Name           string `json:"name"`
	MediumId       string `json:"medium_id" example:"媒体id"`
	CooperateState string `json:"cooperate_state" example:"合作状态"`
	Platform       string `json:"platform"`
}
type AppletApplicationListRes struct {
	List           []AppletApplicationListData `json:"list"`
	Total          int64                       `json:"total"`
	State          []SelectData                `json:"state"`
	CooperateState []SelectData                `json:"cooperate_state"`
	Platform       []SelectData                `json:"platform"`
}
type AppletApplicationListData struct {
	Id             string `json:"id" example:"id"`
	Name           string `json:"name" example:"应用名称"`
	Platform       string `json:"platform" example:"平台"`
	Memo           string `json:"memo" example:"备注"`
	Logo           string `json:"logo" example:"logo"`
	AppId          string `json:"app_id" example:"小程序appid"`
	OriginalId     string `json:"original_id" example:"小程序id"`
	State          string `json:"state" example:"应用状态 state=3 才能再次编辑"`
	CooperateState string `json:"cooperate_state" example:"合作状态"`
}
type AppletApplicationSaveReq struct {
	Id    string `json:"id" example:"id 多个逗号隔开"`
	State string `json:"state" example:"审核状态"`
	Memo  string `json:"memo" example:"备注"`
}
