package md

type AppletApplicationAdSpaceMediumListReq struct {
	Limit   string `json:"limit"`
	Page    string `json:"page" `
	Name    string `json:"name" example:"媒体名称"`
	Account string `json:"account" example:"媒体账号"`
}
type AppletApplicationAdSpaceMediumListRes struct {
	List  []AppletApplicationAdSpaceMediumListData `json:"list"`
	Total int64                                    `json:"total"`
}
type AppletApplicationAdSpaceMediumListData struct {
	Id          string `json:"id" example:"id"`
	MediumId    string `json:"medium_id" example:"媒体id"`
	Name        string `json:"name" example:"名称"`
	Account     string `json:"account" example:"账号"`
	ContactName string `json:"contact_name" example:"联系人"`
	Phone       string `json:"phone" example:"联系电话"`
	Count       string `json:"count" example:"广告位数量"`
}
type AppletApplicationAdSpaceListReq struct {
	MediumId       string `json:"medium_id" example:"媒体id"`
	Limit          string `json:"limit"`
	Page           string `json:"page" `
	Name           string `json:"name"`
	CooperateState string `json:"cooperate_state" example:"合作状态"`
	AdType         string `json:"ad_type" example:""`
	Platform       string `json:"platform"`
}
type AppletApplicationAdSpaceListRes struct {
	List           []AppletApplicationAdSpaceListData `json:"list"`
	Total          int64                              `json:"total"`
	State          []SelectData                       `json:"state"`
	CooperateState []SelectData                       `json:"cooperate_state"`
	Platform       []SelectData                       `json:"platform"`
	AdType         []SelectData                       `json:"ad_type"`
}
type AppletApplicationAdSpaceListData struct {
	Id             string `json:"id" example:"id"`
	Name           string `json:"name" example:"应用名称"`
	Platform       string `json:"platform" example:"平台"`
	Kind           string `json:"kind" example:"广告位类型"`
	Memo           string `json:"memo" example:"备注"`
	Logo           string `json:"logo" example:"logo"`
	AppId          string `json:"app_id" example:"小程序appid"`
	AdId           string `json:"ad_id" example:"广告位id"`
	State          string `json:"state" example:"应用状态 state=2 才能再次编辑"`
	CooperateState string `json:"cooperate_state" example:"合作状态"`
}
type AppletApplicationAdSpaceSaveReq struct {
	Id    string `json:"id" example:"id 多个逗号隔开"`
	State string `json:"state" example:"审核状态"`
	Memo  string `json:"memo" example:"备注"`
}
