package md

var Country = []map[string]string{
	{
		"value": "1", "name": "中国/国内",
	},
}
var CurrencyConf = []map[string]string{
	{
		"value": "0", "name": "人民币",
	},
}

type AgentQualificationEnterpriseReq struct {
	Limit string `json:"limit"`
	Page  string `json:"page" `
	Name  string `json:"name"`
	State string `json:"state"`
}
type AgentQualificationEnterpriseAuditReq struct {
	AgentId string `json:"agent_id"`
	State   string `json:"state"`
	Memo    string `json:"memo"`
}

type AgentQualificationEnterpriseRes struct {
	List  []AgentQualificationEnterpriseData `json:"list"  `
	State []SelectData                       `json:"state" `
	Type  []SelectData                       `json:"type" `
	Total int64                              `json:"total"`
}

type AgentQualificationEnterpriseData struct {
	Id                          string `json:"id" example:"状态选择"`
	Uuid                        string `json:"uuid" example:"站长id"`
	AgentId                     string `json:"agent_id" example:"代理id"`
	Kind                        string `json:"kind" example:"类型(1:企业 2:个人)"`
	CertificateType             string `json:"certificate_type" example:"证件类型 2级类目id"`
	CertificateFirstType        string `json:"certificate_first_type" example:"证件类型 1级类目id"`
	CountryRegionId             string `json:"country_region_id" example:"国家地区id"`
	RegisteredAddressCountryId  string `json:"registered_address_country_id" example:"注册地址-国家id"`
	RegisteredAddressProvinceId string `json:"registered_address_province_id" example:"册地址-省份id"`
	RegisteredAddressCityId     string `json:"registered_address_city_id" example:"注册地址-市id"`
	RegisteredAddressCountyId   string `json:"registered_address_county_id" example:"注册地址-县/区id"`
	State                       string `json:"state" example:"状态(0:待提交 1:待审核 2:审核通过 3:审核拒绝)"`
	CompanyName                 string `json:"company_name" example:"公司名称"`
	CompanyAbbreviation         string `json:"company_abbreviation" example:"公司简称"`
	UnifiedSocialCreditCode     string `json:"unified_social_credit_code" example:"统一社会信用代码"`
	BusinessLicenseImgUrl       string `json:"business_license_img_url" example:"营业执照照片"`
	LegalRepresentative         string `json:"legal_representative" example:"法定代表人"`
	CountryRegion               string `json:"country_region" example:"国家地区"`
	RegisteredAddress           string `json:"registered_address" example:"注册地址"`
	BusinessLicenseAddress      string `json:"business_license_address" example:"营业执照地址"`
	CertificateValidity         string `json:"certificate_validity" example:"证件有效期"`
	Memo                        string `json:"memo" example:"备注 审核时填写的"`
	Account                     string `json:"account" example:"账号"`
}
type AgentQualificationBankRes struct {
	State        []SelectData                 `json:"state" `
	Type         []SelectData                 `json:"type" `
	CurrencyConf []SelectData                 `json:"currency_conf"`
	List         []AgentQualificationBankData `json:"list"`
	Total        int64                        `json:"total"`
}
type AgentQualificationBankData struct {
	AgentId                 string `json:"agent_id" example:"代理id"`
	Bank                    string `json:"bank" example:"开户银行"`
	BankBranch              string `json:"bank_branch" example:"开户银行分行"`
	BankNo                  string `json:"bank_no" example:"银行卡号"`
	CompanyName             string `json:"company_name" example:"公司名称"`
	CurrencyConf            string `json:"currency_conf" example:"结算币种 0人民币"`
	Id                      string `json:"id" example:"id"`
	Kind                    string `json:"kind" example:"类型(1:企业 2:个人)"`
	Licence                 string `json:"licence" example:"开户许可证"`
	Memo                    string `json:"memo" example:"备注 审核时填写的"`
	State                   string `json:"state" example:"状态(0:待提交 1:待审核 2:审核通过 3:审核拒绝)"`
	UnifiedSocialCreditCode string `json:"unified_social_credit_code" example:"统一社会信用代码"`
	Account                 string `json:"account" example:"账号"`
}

type AgentQualificationContactRes struct {
	State []SelectData                    `json:"state" `
	List  []AgentQualificationContactData `json:"list"`
	Total int64                           `json:"total"`
}
type AgentQualificationContactData struct {
	Address     string `json:"address" example:"联系地址"`
	AgentId     string `json:"agent_id" example:"代理id"`
	CompanyName string `json:"company_name" example:"公司名称"`
	Email       string `json:"email" example:"邮箱地址"`
	Id          string `json:"id" example:"id"`
	Kind        string `json:"kind" example:"类型(1:企业 2:个人)"`
	Memo        string `json:"memo" example:"备注 审核时填写的"`
	Name        string `json:"name" example:"联系人"`
	Phone       string `json:"phone" example:"联系电话"`
	State       string `json:"state" example:"状态(0:待提交 1:待审核 2:审核通过 3:审核拒绝)"`
	Account     string `json:"account" example:"账号"`
}
