package md

type DivisionStrategyReq struct {
	Limit string `json:"limit"`
	Page  string `json:"page" `
	Name  string `json:"name"`
}

type DivisionStrategyRes struct {
	List  []DivisionStrategyData `json:"list"  `
	Total int64                  `json:"total"`
}

type DivisionStrategyData struct {
	Id                      string `json:"id" example:"id"`
	MediumId                string `json:"medium_id" example:"媒体id"`
	Account                 string `json:"account" example:"账号"`
	Name                    string `json:"name" example:"名称"`
	PlatformRetentionRate   string `json:"platform_retention_rate" example:"平台留存百分比"`
	CommissionRetentionRate string `json:"commission_retention_rate" example:"佣金留存百分比"`
	MediaRevenueRate        string `json:"media_revenue_rate" example:"媒体收益百分比"`
	AgentRevenueRate        string `json:"agent_revenue_rate" example:"代理收益百分比"`
	ExtraRevenueRate        string `json:"extra_revenue_rate" example:"额外收益百分比"`
	AgreementSharingRate    string `json:"agreement_sharing_rate" example:"协议分成百分比"`
}
type DivisionStrategyDetailReq struct {
	MediumId string `json:"medium_id"`
}
type DivisionStrategyDetailRes struct {
	MediumId                string                          `json:"medium_id" example:"媒体id"`
	Account                 string                          `json:"account" example:"账号"`
	Name                    string                          `json:"name" example:"名称"`
	PlatformRetentionRate   string                          `json:"platform_retention_rate" example:"平台留存百分比"`
	CommissionRetentionRate string                          `json:"commission_retention_rate" example:"佣金留存百分比"`
	MediaRevenueRate        string                          `json:"media_revenue_rate" example:"媒体收益百分比"`
	AgentRevenueRate        string                          `json:"agent_revenue_rate" example:"代理收益百分比"`
	ExtraRevenueRate        string                          `json:"extra_revenue_rate" example:"额外收益百分比"`
	AgreementSharingRate    string                          `json:"agreement_sharing_rate" example:"协议分成百分比"`
	AgentList               []DivisionStrategyDetailByAgent `json:"agent_list"`
}
type DivisionStrategyDetailByAgent struct {
	AgentId          string `json:"agent_id" example:"代理id"`
	Account          string `json:"account" example:"账号"`
	Name             string `json:"name" example:"名称"`
	AgentRevenueRate string `json:"agent_revenue_rate" example:"佣金比例"`
	ExtraRevenueRate string `json:"extra_revenue_rate" example:"额外奖励"`
}
