package md

type FinanceCenterPlatformDataReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	Date      string `json:"date" example:"2024-08-29"`
	StartTime string `json:"start_time" example:"2024-08-29"`
	EndTime   string `json:"end_time" `
}

type FinanceCenterPlatformDataRes struct {
	List  []FinanceCenterPlatformDataData `json:"list"  `
	Total int64                           `json:"total"`
}

type FinanceCenterPlatformDataData struct {
	Id               string `json:"id"`
	TimeStr          string `json:"time_str" example:"业务时间"`
	TopIncome        string `json:"top_income" example:"上游结算"`
	CommissionIncome string `json:"commission_income" example:"佣金留存"`
	PlatformIncome   string `json:"platform_income" example:"平台留存"`
	ChangeIncome     string `json:"change_income" example:"调价留存"`
	MediumIncome     string `json:"medium_income" example:"媒体结算"`
	AgentIncome      string `json:"agent_income" example:"代理结算"`
	UpdateAt         string `json:"update_at" example:"更新时间"`
}
type FinanceCenterDataReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	PayState  string `json:"pay_state" example:"读 settle_pay_state返回的"`
	StartTime string `json:"start_time" example:"2024-08-29"`
	EndTime   string `json:"end_time" `
}

type FinanceCenterDataRes struct {
	List           []FinanceCenterDataData `json:"list"  `
	Total          int64                   `json:"total"`
	BusinessKind   []SelectData            `json:"business_kind"`
	SettlePayState []SelectData            `json:"settle_pay_state"`
	SettleState    []SelectData            `json:"settle_state"`
	SettleType     []SelectData            `json:"settle_type"`
}

type FinanceCenterDataData struct {
	Id               string `json:"id"`
	TimeStr          string `json:"time_str" example:"业务时间"`
	Name             string `json:"name" example:"媒体名称"`
	SettleType       string `json:"settle_type" example:"结算单类型(1:日结 2:周结 3:月结 4:预付)"`
	AllIncome        string `json:"all_income" example:"合计收益"`
	TopIncome        string `json:"top_income" example:"上游结算"`
	CommissionIncome string `json:"commission_income" example:"佣金留存"`
	PlatformIncome   string `json:"platform_income" example:"平台留存"`
	ChangeIncome     string `json:"change_income" example:"调价留存"`
	MediumIncome     string `json:"medium_income" example:"媒体结算"`
	OtherIncome      string `json:"other_income" example:"其他调整"`
	PayState         string `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State            string `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
	Label            string `json:"label"`
}

type FinanceCenterDataAgentRes struct {
	List           []FinanceCenterDataAgentData `json:"list"  `
	Total          int64                        `json:"total"`
	BusinessKind   []SelectData                 `json:"business_kind"`
	SettlePayState []SelectData                 `json:"settle_pay_state"`
	SettleState    []SelectData                 `json:"settle_state"`
	SettleType     []SelectData                 `json:"settle_type"`
}

type FinanceCenterDataAgentData struct {
	Id          string `json:"id"`
	TimeStr     string `json:"time_str" example:"业务时间"`
	Name        string `json:"name" example:"媒体名称"`
	SettleType  string `json:"settle_type" example:"结算单类型(1:日结 2:周结 3:月结 4:预付)"`
	AllIncome   string `json:"all_income" example:"合计收益"`
	Income      string `json:"income" example:"渠道结算"`
	OtherIncome string `json:"other_income" example:"其他调整"`
	PayState    string `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State       string `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
	Label       string `json:"label"`
}
type FinanceCenterDataDetailRes struct {
	Data           FinanceCenterDataDetail `json:"data"  `
	BusinessKind   []SelectData            `json:"business_kind"`
	SettlePayState []SelectData            `json:"settle_pay_state"`
	SettleState    []SelectData            `json:"settle_state"`
	SettleType     []SelectData            `json:"settle_type"`
	InvoiceCate    []SelectData            `json:"invoice_cate"`
	InvoiceState   []SelectData            `json:"invoice_state"`
}
type FinanceCenterDataAgentDetailRes struct {
	Data           FinanceCenterDataAgentDetail `json:"data"  `
	BusinessKind   []SelectData                 `json:"business_kind"`
	SettlePayState []SelectData                 `json:"settle_pay_state"`
	SettleState    []SelectData                 `json:"settle_state"`
	SettleType     []SelectData                 `json:"settle_type"`
	InvoiceCate    []SelectData                 `json:"invoice_cate"`
	InvoiceState   []SelectData                 `json:"invoice_state"`
}
type FinanceCenterDataDetail struct {
	TimeStr          string  `json:"time_str" example:"业务时间"`
	Name             string  `json:"name" example:"媒体名称"`
	Account          string  `json:"account" example:"媒体账号"`
	Source           string  `json:"source" example:"结算标示"`
	SettleFile       string  `json:"settle_file" example:"结算单"`
	Invoice          Invoice `json:"invoice"`
	AllIncome        string  `json:"all_income" example:"合计收益"`
	TopIncome        string  `json:"top_income" example:"上游结算"`
	CommissionIncome string  `json:"commission_income" example:"佣金留存"`
	PlatformIncome   string  `json:"platform_income" example:"平台留存"`
	ChangeIncome     string  `json:"change_income" example:"调价留存"`
	MediumIncome     string  `json:"medium_income" example:"媒体结算"`
	OtherIncome      string  `json:"other_income" example:"其他调整"`
	PayState         string  `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State            string  `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
}
type FinanceCenterDataAgentDetail struct {
	TimeStr     string  `json:"time_str" example:"业务时间"`
	Name        string  `json:"name" example:"媒体名称"`
	Account     string  `json:"account" example:"媒体账号"`
	Source      string  `json:"source" example:"结算标示"`
	SettleFile  string  `json:"settle_file" example:"结算单"`
	Invoice     Invoice `json:"invoice"`
	AllIncome   string  `json:"all_income" example:"合计收益"`
	Income      string  `json:"income" example:"渠道结算"`
	OtherIncome string  `json:"other_income" example:"其他调整"`
	PayState    string  `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State       string  `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
}
type Invoice struct {
	Type  string        `json:"type"`
	Time  string        `json:"time"`
	Count string        `json:"count"`
	File  []InvoiceFile `json:"file"`
}
type InvoiceFile struct {
	Url   string `json:"url"`
	State string `json:"state" example:"0待确认 1审核通过 2审核失败"`
}
type SettleFileReq struct {
	Id   string `json:"id" example:"列表id"`
	File string `json:"file" example:"七牛云链接 带http"`
}
type InvoiceReq struct {
	Id    string        `json:"id" example:"列表id"`
	State string        `json:"state" example:"1审核通过 2审核失败"`
	File  []InvoiceFile `json:"file" `
}
type OtherIncomeReq struct {
	Id     string `json:"id" example:"列表id"`
	Amount string `json:"amount" example:"其他收益"`
}
