package md

type FinancialDynamicsMediumListReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	Uid       string `json:"uid" example:""`
	StartTime string `json:"start_time" example:"2024-08-29 00:00:00"`
	EndTime   string `json:"end_time" `
}
type FinancialDynamicsMediumTotalReq struct {
	Uid       string `json:"uid" example:""`
	StartTime string `json:"start_time" example:"2024-08-29 00:00:00"`
	EndTime   string `json:"end_time" `
}

type FinancialDynamicsMediumListRes struct {
	List         []FinancialDynamicsMediumListData `json:"list"  `
	Total        int64                             `json:"total"`
	User         []SelectData                      `json:"user"`
	BusinessKind []SelectData                      `json:"business_kind"`
	PayMethod    []SelectData                      `json:"pay_method"`
}

type FinancialDynamicsMediumListData struct {
	Id           string `json:"id"`
	Name         string `json:"name"`
	PayTime      string `json:"pay_time" example:"支付时间"`
	Amount       string `json:"amount" example:"支付金额"`
	PayMethod    string `json:"pay_method" example:"支付方式 0对私 1对公"`
	Certificate  string `json:"certificate" example:"支付凭证"`
	Memo         string `json:"memo" example:"备注"`
	BusinessKind string `json:"business_kind" example:"支付类型(1:广告合作)"`
}
type FinancialDynamicsMediumTotalRes struct {
	BalanceAmount string `json:"balance_amount" example:"账户余额"`
	AllAmount     string `json:"all_amount" example:"预付总金额"`
	UseAmount     string `json:"use_amount" example:"已消耗金额"`
	PayCount      string `json:"pay_count" example:"预付次数"`
}
type FinancialDynamicsMediumSaveReq struct {
	Uid          string `json:"uid"`
	Amount       string `json:"amount" example:"支付金额"`
	PayMethod    string `json:"pay_method" example:"支付方式 0对私 1对公"`
	Certificate  string `json:"certificate" example:"支付凭证"`
	Memo         string `json:"memo" example:"备注"`
	BusinessKind string `json:"business_kind" example:"支付类型(1:广告合作)"`
}

type FinancialDynamicsAgentListReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	Uid       string `json:"uid" example:""`
	StartTime string `json:"start_time" example:"2024-08-29 00:00:00"`
	EndTime   string `json:"end_time" `
}
type FinancialDynamicsAgentTotalReq struct {
	Uid       string `json:"uid" example:""`
	StartTime string `json:"start_time" example:"2024-08-29 00:00:00"`
	EndTime   string `json:"end_time" `
}

type FinancialDynamicsAgentListRes struct {
	List         []FinancialDynamicsAgentListData `json:"list"  `
	Total        int64                            `json:"total"`
	User         []SelectData                     `json:"user"`
	BusinessKind []SelectData                     `json:"business_kind"`
	PayMethod    []SelectData                     `json:"pay_method"`
}

type FinancialDynamicsAgentListData struct {
	Id           string `json:"id"`
	Name         string `json:"name"`
	PayTime      string `json:"pay_time" example:"支付时间"`
	Amount       string `json:"amount" example:"支付金额"`
	PayMethod    string `json:"pay_method" example:"支付方式 0对私 1对公"`
	Certificate  string `json:"certificate" example:"支付凭证"`
	Memo         string `json:"memo" example:"备注"`
	BusinessKind string `json:"business_kind" example:"支付类型(1:广告合作)"`
}
type FinancialDynamicsAgentTotalRes struct {
	BalanceAmount string `json:"balance_amount" example:"账户余额"`
	AllAmount     string `json:"all_amount" example:"预付总金额"`
	UseAmount     string `json:"use_amount" example:"已消耗金额"`
	PayCount      string `json:"pay_count" example:"预付次数"`
}
type FinancialDynamicsAgentSaveReq struct {
	Uid          string `json:"uid"`
	Amount       string `json:"amount" example:"支付金额"`
	PayMethod    string `json:"pay_method" example:"支付方式 0对私 1对公"`
	Certificate  string `json:"certificate" example:"支付凭证"`
	Memo         string `json:"memo" example:"备注"`
	BusinessKind string `json:"business_kind" example:"支付类型(1:广告合作)"`
}
