package md

type MediumListReq struct {
	Id    string `json:"id"`
	Limit string `json:"limit"`
	Page  string `json:"page" `
	Name  string `json:"name"`
	State string `json:"state"`
}
type MediumListRes struct {
	State []SelectData     `json:"state" `
	List  []MediumListData `json:"list"`
	Total int64            `json:"total"`
}
type MediumListData struct {
	MediumId                string `json:"medium_id" example:"媒体id"`
	CompanyName             string `json:"company_name" example:"公司名称"`
	Id                      string `json:"id" example:"id"`
	Memo                    string `json:"memo" example:"备注 审核时填写的"`
	State                   string `json:"state" example:"状态(0:待提交 1:待审核 2:审核通过 3:审核拒绝)"`
	UnifiedSocialCreditCode string `json:"unified_social_credit_code" example:"统一社会信用代码"`
	LegalRepresentative     string `json:"legal_representative" example:"法定代表人"`
	Account                 string `json:"account" example:"媒体账号"`
	BusinessLicenseAddress  string `json:"business_license_address" example:"营业执照地址"`
}
type MediumListSaveReq struct {
	Username string `json:"username"`
	MediumId string `json:"medium_id"`
}
type MediumListDelReq struct {
	Id string `json:"id" example:"列表id"`
}
