package md

type SetOssReq struct {
	FileAccessKey    string `json:"file_access_key" binding:"required" example:"对象存储AccessToken"`
	FileSecretKey    string `json:"file_secret_key" binding:"required" example:"对象存储SecretToken"`
	FileBucketHost   string `json:"file_bucket_host" binding:"required" example:"对象存储域名"`
	FileBucketRegion string `json:"file_bucket_region" binding:"required" example:"文件所属区域"`
	FileBucket       string `json:"file_bucket" binding:"required" example:"对象存储bucket(空间)"`
}
type SetOssResp struct {
	Data                  SetOssReq           `json:"data"`                      // 数据内容
	QiNiuBucketRegionList []QiNiuBucketRegion `json:"qi_niu_bucket_region_list"` // 七牛云存储区域列表
}

type WxOpenSetReq struct {
	Token     string `json:"token" binding:"required" example:"消息校验Token"`
	AesKey    string `json:"aes_key" binding:"required" example:"消息加解密Key"`
	Appid     string `json:"appid" binding:"required" example:"appid"`
	AppSecret string `json:"app_secret" binding:"required" example:"appSecret"`
}
type WxOpenGetResp struct {
	Token                                                string `json:"token" example:"消息校验Token"`
	AesKey                                               string `json:"aes_key" example:"消息加解密Key"`
	Appid                                                string `json:"appid" example:"appid"`
	AppSecret                                            string `json:"app_secret" example:"appSecret"`
	WxOpenAppletServerDomain                             string `json:"wx_open_applet_server_domain" example:"微信开放平台-小程序服务器域名"`
	WxOpenAuthorizationEventReceivingConfiguration       string `json:"wx_open_authorization_event_receiving_configuration" example:"微信开放平台-授权事件接收配置"`
	WxOpenDomainOfTheInitiatingPageForLoginAuthorization string `json:"wx_open_domain_of_the_initiating_page_for_login_authorization" example:"微信开放平台-登录授权的发起页域名"`
	WxOpenMessageAndEventReceptionConfiguration          string `json:"wx_open_message_and_event_reception_configuration" example:"微信开放平台-消息与事件接收配置"`
	WxOpenWhiteListIp                                    string `json:"wx_open_white_list_ip" example:"微信开放平台-白名单ip"`
}

type AppletAddReq struct {
	Name       string `json:"name" binding:"required" example:"小程序名称"`
	Logo       string `json:"logo" binding:"required" example:"小程序logo"`
	Appid      string `json:"appid" binding:"required" example:"授权小程序appid"`
	OriginalId string `json:"original_id" binding:"required" example:"授权小程序原始id"`
}
type AppletUpdateReq struct {
	Id   int    `json:"id" binding:"required"`
	Name string `json:"name" binding:"required" example:"小程序名称"`
	Logo string `json:"logo" binding:"required" example:"小程序logo"`
}

type ShareIndexResp struct {
	MasterId     string `json:"master_id"`
	AgentDomain  string `json:"agent_domain" example:"代理分享地址"`
	MediumDomain string `json:"medium_domain" example:"媒体分享地址"`
}

type SetMobReq struct {
	MobAppKey    string `json:"mob_app_key"`
	MobAppSecret string `json:"mob_app_secret"`
}
type SetMobResp struct {
	Data SetMobReq `json:"data"` // 数据内容
}
type SetLogoReq struct {
	MediumLogo      string `json:"medium_logo"`
	AgentLogo       string `json:"agent_logo"`
	MediumLoginLogo string `json:"medium_login_logo"`
	AgentLoginLogo  string `json:"agent_login_logo"`
}
type SetLogoResp struct {
	Data SetLogoReq `json:"data"` // 数据内容
}
type AppletGetBlackListReq struct {
	Appid string `json:"appid" binding:"required" example:"授权小程序appid"`
}
type AppletAddBlackListReq struct {
	Appid string `json:"appid" binding:"required" example:"授权小程序appid"`
	Kind  int    `json:"Kind" binding:"required"` // 类型（1:公众号 2:IOS应用 3:安卓应用 4:小程序/小游戏）
	Id    string `json:"id" binding:"required" example:"微信公众号id | IOS应用APPID | 安卓应用的应用宝包名 | 小程序/小游戏原始ID"`
}

type AppletDelBlackListReq struct {
	Appid string `json:"appid" binding:"required" example:"授权小程序appid"`
	Kind  int    `json:"Kind" binding:"required"` // 类型（1:公众号 2:IOS应用 3:安卓应用 4:小程序/小游戏）
	Id    string `json:"id" binding:"required" example:"微信公众号id | IOS应用APPID | 安卓应用的应用宝包名 | 小程序/小游戏原始ID"`
}

type AppletGetAmsCategoryBlackListReq struct {
	Appid string `json:"appid" binding:"required" example:"授权小程序appid"`
}

type AppletGetAmsCategoryBlackListResp struct {
	CheckedAmsCategory []struct {
		Value string `json:"value" example:"行业标识符"`
		Name  string `json:"name" example:"行业名称"`
	} `json:"checked_ams_category"` // 选中的行业列表
	AllAmsCategory []struct {
		Value string `json:"value" example:"行业标识符"`
		Name  string `json:"name" example:"行业名称"`
	} `json:"ams_category"` // 行业列表
}

type AppletSetAmsCategoryBlackListReq struct {
	Appid              string   `json:"appid" binding:"required" example:"授权小程序appid"`
	CheckedAmsCategory []string `json:"checked_ams_category"` // 选中的行业列表
}
type SetSeoReq struct {
	SeoPlatformTitle string `json:"seo_platform_title"`
	SeoAgentTitle    string `json:"seo_agent_title"`
	SeoMediumTitle   string `json:"seo_medium_title"`
	SeoPlatformLogo  string `json:"seo_platform_logo"`
	SeoAgentLogo     string `json:"seo_agent_logo"`
	SeoMediumLogo    string `json:"seo_medium_logo"`
}
type SetSeoResp struct {
	Data SetSeoReq `json:"data"` //数据内容
}
