package md

var AccountSettleState = []SelectData{
	{Name: "日结", Value: "1"},
	{Name: "周结", Value: "2"},
	{Name: "月结", Value: "3"},
	{Name: "预付", Value: "4"},
}
var BusinessKind = []SelectData{
	{Name: "广告合作", Value: "1"},
}
var PayMethod = []SelectData{
	{Name: "对私账户", Value: "0"},
	{Name: "对公账户", Value: "1"},
}
var InvoiceCate = []SelectData{
	{Name: "电子发票", Value: "0"},
	{Name: "纸质发票", Value: "1"},
}
var SettlePayState = []SelectData{
	{Name: "未开始", Value: "0"},
	{Name: "待审核发票", Value: "1"},
	{Name: "发票审核中", Value: "2"},
	{Name: "发票审核拒绝", Value: "3"},
	{Name: "付款中", Value: "4"},
	{Name: "已付款", Value: "5"},
}
var SettleState = []SelectData{
	{Name: "未开始", Value: "0"},
	{Name: "核算中", Value: "1"},
	{Name: "待签订", Value: "2"},
	{Name: "完成签订", Value: "3"},
}
var InvoiceState = []SelectData{
	{Name: "待审核", Value: "0"},
	{Name: "审核通过", Value: "1"},
	{Name: "审核拒绝", Value: "2"},
}

type SettleCenterDataReq struct {
	Limit   string `json:"limit"`
	Page    string `json:"page" `
	Name    string `json:"name"`
	Account string `json:"account"`
	State   string `json:"state"`
}

type SettleCenterDataRes struct {
	List  []SettleCenterDataData `json:"list"  `
	Total int64                  `json:"total"`
	State []SelectData           `json:"state"`
}

type SettleCenterDataData struct {
	Id         string `json:"id"`
	Name       string `json:"name"`
	Account    string `json:"account"`
	SettleType string `json:"settle_type"`
	UpdateAt   string `json:"update_at"`
}
type SettleCenterDataSaveReq struct {
	Id         string `json:"id"`
	SettleType string `json:"settle_type"`
}

type SettleCenterDataDetailReq struct {
	Limit     string `json:"limit"`
	Id        string `json:"id"`
	Page      string `json:"page" `
	StartTime string `json:"start_time" example:"2024-08-29"`
	EndTime   string `json:"end_time" `
}

type SettleCenterDataDetailRes struct {
	List           []SettleCenterDataDetailData `json:"list"  `
	Total          int64                        `json:"total"`
	BusinessKind   []SelectData                 `json:"business_kind"`
	SettlePayState []SelectData                 `json:"settle_pay_state"`
	SettleState    []SelectData                 `json:"settle_state"`
	SettleType     []SelectData                 `json:"settle_type"`
}

type SettleCenterDataDetailData struct {
	TimeStr      string `json:"time_str"example:"业务时间"`
	BusinessKind string `json:"business_kind" example:"业务类型(1:广告合作)"`
	SettleType   string `json:"settle_type" example:"结算单类型(1:日结 2:周结 3:月结 4:预付)"`
	AllIncome    string `json:"all_income" example:"总计"`
	BasicIncome  string `json:"basic_income" example:"基础收益"`
	OtherIncome  string `json:"other_income" example:"其他收益"`
	PayState     string `json:"pay_state" example:"结算单支付状态(0:未开始 1:待审核发票 2:发票审核中 3:发票审核拒绝 4:付款中 5:已付款)"`
	State        string `json:"state" example:"结算单状态(0:未开始 1:核算中 2:待签订 3:完成签订)"`
}
